package org.xj4.jmock;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Used to indicate that a mockery field should be instantiated with a mockery that supports mocking classes, as opposed
 * to the default JMock behavior of only mocking interfaces.
 *
 * @author Jared Bunting
 */
@Target(value = ElementType.FIELD)
@Retention(value = RetentionPolicy.RUNTIME)

public @interface SupportClasses {
}
